Linux workstation

Upstream software project

libio-compress-perl

IO Interface to compressed data files/buffers

About libio-compress-perl

IO Interface to compressed data files/buffers

This project links 8 native package records across 6 recorded operating-system releases. Compare the retained versions and architectures below, then open the package for your own release.

These are catalog observations, not a guarantee of installation, compatibility, or upstream support.

Project pictures and package coverage

Debian 12 (Bookworm): 1 package records; Debian 13 (Trixie): 1 package records; Fedora 43: 2 package records; Fedora 44: 2 package records; openSUSE Leap 16.0: 1 package records; openSUSE Tumbleweed: 1 package records. Catalog coverage diagram, not an application screenshot.libio-compress-perl: recorded package coverageDebian 12 (Bookworm)1 recordsDebian 13 (Trixie)1 recordsFedora 432 recordsFedora 442 recordsopenSUSE Leap 16.01 recordsopenSUSE Tumbleweed1 records
OpenFactory diagram of linked package records. It is not an application screenshot.

Project identity

Project
libio-compress-perl
Publisher
Not authoritatively mapped
Native package records
8
Operating systems
debian-12, debian-13, fedora-43, fedora-44, opensuse-leap-16-0, opensuse-tumbleweed
License expression
Artistic-1.0 OR GPL-1.0-or-later
Metadata completeness
100/100 (not a software quality rating)
Source repository
Not reported

Source-reported description

The fullest retained description is shown with its source. Distribution packaging descriptions may include downstream details.

This distribution provides a Perl interface to allow reading and writing of compressed data created with the zlib and bzip2 libraries. IO-Compress supports reading and writing of bzip2, RFC 1950, RFC 1951, RFC 1952 (i.e. gzip) and zip files/buffers. The following modules used to be distributed separately, but are now included with the IO-Compress distribution: * Compress-Zlib * IO-Compress-Zlib * IO-Compress-Bzip2 * IO-Compress-Base

Description source

Packages by operating system

Compare recorded versions, then open a package for dependency, file, checksum, and repository evidence. Version strings are distribution-specific, not a ranking of newer software.

Debian 12 (Bookworm)

  1. libio-compress-perl

    Debian 12 (Bookworm) / perl

    2.204-1

    bundle of IO::Compress modules

    allbookworm

Debian 13 (Trixie)

  1. libio-compress-perl

    Debian 13 (Trixie) / perl

    2.213-1

    bundle of IO::Compress modules

    alltrixie

Fedora 43

  1. perl-IO-Compress

    Fedora 43 / Unspecified / source perl-IO-Compress

    2.223-1.fc43

    Read and write compressed data

    noarch43
  2. perl-IO-Compress-tests

    Fedora 43 / Unspecified / source perl-IO-Compress

    2.223-1.fc43

    Tests for perl-IO-Compress

    noarch43

Fedora 44

  1. perl-IO-Compress

    Fedora 44 / Unspecified / source perl-IO-Compress

    2.223-1.fc44

    Read and write compressed data

    noarch44
  2. perl-IO-Compress-tests

    Fedora 44 / Unspecified / source perl-IO-Compress

    2.223-1.fc44

    Tests for perl-IO-Compress

    noarch44

openSUSE Leap 16.0

  1. perl-IO-Compress

    openSUSE Leap 16.0 / Unspecified / source perl-IO-Compress

    2.213.0-bp160.1.11

    IO Interface to compressed data files/buffers

    noarchleap-16.0

openSUSE Tumbleweed

  1. perl-IO-Compress

    openSUSE Tumbleweed / Unspecified / source perl-IO-Compress

    2.223.0-1.1

    IO Interface to compressed data files/buffers

    noarchtumbleweed

Project resources and further reading

Mapping provenance

Only source-backed identity signals create public cross-OS links. A reviewer can later approve or dispute an inferred relationship without rewriting native package history.

No field-level source record is published yet.

libio-compress-perl Software and Packages | OpenFactory